#!/usr/bin/bash
#
# This binary is made to be run by git server, it checks code validity.

# Exit immediately if any command fails.
set -e

# Exit with the last non-zero exit code.
set -o pipefail

# Name of current gitops pipeline.
pipeline="NEWTAG"

log () {
        echo -e "[$pipeline] $(date --rfc-3339=s) - $1"
}

fail () {
        if [ $# -eq 1 ]; then
                echo "$1" 1>&2
        fi
        exit 1
}

# Check format.
log "Check format."
make check_format

# Check linting.
log "Check linting."
make check_linting

# Run unit tests.
log "Run unit tests."
make unit_test
